XISUITEDokumentation

Notifications

6 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List notifications for the current user#

GET/notificationsToken

Parameter

NameOrtTypBeschreibung
limitQuerystring

Max notifications to return (1–100, default 50)

offsetQuerystring

Number of records to skip (default 0)

unread_onlyQuerystring

Return only unread notifications when "true"

sinceQuerystring

ISO timestamp — return only notifications created after this time (used by the polling fallback)

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/notifications" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Mark a notification as read or unread#

PATCH/notifications/{id}Token

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring

Notification UUID

Request-Bodyapplication/jsonMarkReadDto

NameTypBeschreibung
seqPflichtnumber

Last read message seq

markUnreadboolean

true = move the read position back ("mark as unread")

Antworten

  • 200OK
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/notifications/{id}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"seq":0}'

Accept or decline a space invitation notification#

POST/notifications/{id}/actionToken

Parameter

NameOrtTypBeschreibung
idPflichtPfadstring

Notification UUID

Request-Bodyapplication/jsonNotificationActionDto

NameTypBeschreibung
actionPflichtstring

Action to perform

Werte: acceptdecline

Antworten

  • 200OK
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/notifications/{id}/action" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"action":"accept"}'

Mark all notifications as read#

POST/notifications/mark-all-readToken

Antworten

  • 200OK
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/notifications/mark-all-read" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Get notification preferences for the current user#

GET/notifications/preferencesToken

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/notifications/preferences" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Update a notification preference#

PUT/notifications/preferencesToken

Request-Bodyapplication/jsonUpsertNotificationPreferenceDto

NameTypBeschreibung
notification_typePflichtstring

Werte: space_invitationtask_mentioncomment_mentionattachment_checkout_messagefile_explorer_remindermanagement_letterwiki_reviewsystem_updateworkflowTransitionwatcher_updatescalendar_reminder

in_appboolean–
emailboolean–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/notifications/preferences" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"notification_type":"space_invitation"}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions